﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Default.aspx.vb" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">

<%--I changed the page title here...this is what shows in browser--%>

    <title>Wells Fargo 401K Future Value Calculator VB Version With Validation</title>
    <style type="text/css">
        
        Body
        {
        	background-color:Black;
        }
        
        .style3
        {
            width: 299px;
            text-align: right;
        }
        .style5
        {
            text-align: center;
        }
        
       .textboxes
       {
       	    
       	    text-align: right;
       	    width: 100px;
       }
        
        .tables
        {
             background-color:Teal;
             font-family:Verdana;
             font-size:medium;
             color:White;
             width: 600px;
             border: 1px solid #000080;
         	 margin-left:auto;
        	 margin-right:auto;
        }
               
        
       #maincontent
        {
        	 background-color:Gray;
        	 width: 85%;
        	 margin-left:auto;
        	 margin-right:auto;
        }
        .style6
        {
            width: 180px;
        }
        .style8
        {
            width: 180px;
            text-align: right;
        }
    </style>
    
   <%--STYLE NOTES:
     The tables class will mange how to table appears. Also, don't try to put comments inside Style tags.
    
    The maincontent style formats the whole <div> container/block. Set left and right margins to auto if you
        want the div centered. Notice I gave the <div> id="maincontent". To use a style which refers to
        an element on the form use the # sign in front of the style name.--%>
        
</head>
<body>
    <form id="form1" runat="server">
    <div id="maincontent">
    
        <table  class="tables">
            <tr>
                <td >
                    <img src="images/Wells%20Fargo.jpg" style="width: 268px; height: 282px" 
                        alt="Photo of angry Wells Fargo Customer" /></td>
                <td colspan="2" >
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    Wells Fargo Needs Your Cash</td>
            </tr>
            <tr>
                <td class="style5" colspan="3">
                    Calculate the Future Value of Your 401K Sucker!</td>
            </tr>
            <tr>
                <td>
                    Monthly Investment</td>
                <td class="style3">
                    <asp:DropDownList ID="ddlMonthlyInvestment"  runat="server" Width="106px">
                    </asp:DropDownList>
                </td>
                <td class="style8">
                    &nbsp;</td>
            </tr>
            <tr>
                <td>
                    Annual Interest Rate</td>
                <td class="style3">
                    <asp:TextBox ID="txtInterestRate" runat="server" CssClass="textboxes"></asp:TextBox>
                </td>
                <td class="style8">
                    <asp:RequiredFieldValidator ID="RequiredFieldRate" runat="server" 
                        ControlToValidate="txtInterestRate" Display="Dynamic" 
                        ErrorMessage="Enter  Rate" Font-Size="Small"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td>
                    Number of years...</td>
                <td class="style3">
                    <asp:TextBox ID="txtYears" runat="server"  CssClass="textboxes" ></asp:TextBox>
                </td>
                <td class="style8">
                    <asp:RequiredFieldValidator ID="RequiredFieldYrs" runat="server" 
                        ControlToValidate="txtYears" Display="Dynamic" ErrorMessage="Enter years" 
                        Font-Size="Small"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td>
                    Future Value</td>
                <td class="style3">
                    <asp:Label ID="lblFutureValue" runat="server" CssClass="textboxes"></asp:Label>
                </td>
                <td class="style8">
                    &nbsp;</td>
            </tr>
            <tr>
                <td>
                    &nbsp;</td>
                <td class="style3">
                    &nbsp;</td>
                <td class="style8">
                    &nbsp;</td>
            </tr>
            <tr>
                <td align="center">
                    <asp:Button ID="btnCalculate" runat="server" Text="Calculate" Width="100px" />
                </td>
                <td align="center">
                    <asp:Button ID="btnClear" runat="server" Text="Clear" Width="100px" />
                </td>
                <td align="center" class="style6">
                    &nbsp;</td>
            </tr>
        </table>
    
    </div>
    <p>
        &nbsp;</p>
    </form>
</body>
</html>
